Permalink
86 lines (85 sloc) 2.39 KB
{
"name": "swiper",
"version": "4.4.2",
"description": "Most modern mobile touch slider and framework with hardware accelerated transitions",
"main": "dist/js/swiper.js",
"jsnext:main": "dist/js/swiper.esm.bundle.js",
"module": "dist/js/swiper.esm.bundle.js",
"scripts": {
"build:dev": "cross-env NODE_ENV=development gulp build",
"build:prod": "cross-env NODE_ENV=production gulp build",
"dev": "cross-env NODE_ENV=development gulp build && cross-env NODE_ENV=development gulp playground && cross-env NODE_ENV=development gulp server",
"prod": "cross-env NODE_ENV=production gulp playground && cross-env NODE_ENV=production gulp server",
"lint": "eslint .",
"lint-fix": "eslint . --fix",
"test": "npm run lint && npm run build:dev",
"postinstall": "node -e \"console.log('\\u001b[35m\\u001b[1mLove Swiper? Support Vladimir\\'s work by donating or pledging on patreon:\\u001b[22m\\u001b[39m\\n > \\u001b[32mhttps://patreon.com/vladimirkharlampidi\\u001b[0m\\n')\""
},
"files": [
"dist",
"src",
"scripts",
"*.json",
"*.js"
],
"repository": {
"type": "git",
"url": "https://github.com/nolimits4web/Swiper.git"
},
"keywords": [
"swiper",
"swipe",
"slider",
"touch",
"ios",
"mobile",
"cordova",
"phonegap",
"app",
"framework",
"framework7",
"carousel",
"gallery",
"plugin"
],
"author": "Vladimir Kharlampidi",
"license": "MIT",
"bugs": {
"url": "https://github.com/nolimits4web/Swiper/issues"
},
"homepage": "http://www.idangero.us/swiper/",
"engines": {
"node": ">= 4.7.0"
},
"browserslist": [
"Android > 4",
"IOS >= 7",
"last 4 versions",
"ie >= 10"
],
"devDependencies": {
"cross-env": "^5.2.0",
"eslint": "^5.5.0",
"eslint-config-airbnb-base": "^13.1.0",
"eslint-plugin-import": "^2.14.0",
"gulp": "^3.9.1",
"gulp-autoprefixer": "^6.0.0",
"gulp-clean-css": "^3.10.0",
"gulp-connect": "^5.6.1",
"gulp-header": "^2.0.5",
"gulp-less": "^4.0.1",
"gulp-modify-file": "^1.0.1",
"gulp-open": "^3.0.1",
"gulp-rename": "^1.4.0",
"gulp-sourcemaps": "^2.6.4",
"gulp-uglify": "^3.0.1",
"rollup": "^0.66.6",
"rollup-plugin-buble": "^0.19.4",
"rollup-plugin-node-resolve": "^3.4.0",
"rollup-plugin-replace": "^2.1.0"
},
"dependencies": {
"dom7": "^2.1.2",
"ssr-window": "^1.0.1"
}
}